Subject: [PATCH v4 4/5] arm64: Verify CPU errata work arounds on hotplugged CPU

From: [email-masked] (Suzuki K Poulose)
Date: Fri, 22 Apr 2016 14:43:57 +0100

On 22/04/16 14:40, Catalin Marinas wrote:
> On Fri, Apr 22, 2016 at 12:25:34PM +0100, Suzuki K. Poulose wrote:
>> CPU Errata work arounds are detected and applied to the
>> kernel code at boot time and the data is then freed up.
>> If a new hotplugged CPU requires a work around which
>> was not applied at boot time, there is nothing we can
>> do but simply fail the booting.
>>
>> Cc: Will Deacon <[email-masked]>
>> Cc: Mark Rutland <[email-masked]>
>> Cc: Andre Przywara <[email-masked]>
>> Cc: Catalin Marinas <[email-masked]>
>> Signed-off-by: Suzuki K Poulose <[email-masked]>
>
> I think Will commented on this previously. Was a decision made to leave
> this patch as it is and subsequently add support for enabling local
> workarounds for hot-plugged CPUs? I'm fine with this given that most

Yes. Applying work arounds for a hot-plugged CPU will be addressed in a
new series. I updated the cover letter, but missed to update the same here.

>
> Reviewed-by: Catalin Marinas <[email-masked]>

Thanks
Suzuki